stages:
- lint
- build

image: registry.gitlab.com/slagit/docker/buildah:1.14.0@sha256:3af39a71e9642c4941ff4b1b5618288a101d331e578bf42ccfd3bd83f70c306c

variables:
  VERSION: 3.3.1

hadolint:
  image: docker.io/hadolint/hadolint:v1.17.2-8-g65736cb-debian
  interruptible: true
  script:
  - /bin/hadolint docker/Dockerfile
  stage: lint

shellcheck:
  image: docker.io/koalaman/shellcheck-alpine:v0.7.1
  interruptible: true
  script:
  - shellcheck build.sh
  stage: lint

build:
  script:
  - buildah login -u "${CI_REGISTRY_USER}" -p "${CI_REGISTRY_PASSWORD}" "${CI_REGISTRY}"
  - ./build.sh
  stage: build
  interruptible: true
  except:
  - master
  tags:
  - privileged

release:
  script:
  - buildah login -u "${CI_REGISTRY_USER}" -p "${CI_REGISTRY_PASSWORD}" "${CI_REGISTRY}"
  - ./build.sh
  - buildah tag helm:latest "${CI_REGISTRY_IMAGE}:${VERSION}"
  - buildah push "${CI_REGISTRY_IMAGE}:${VERSION}"
  stage: build
  only:
  - master
  tags:
  - privileged
